---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/User/GetProfileByCloudID.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/User/GetProfileByCloudID.md
  - href: en/api-ref/User/GetProfileByCloudID.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/en/llms.txt

<div class="openapi">

# Get User Profile (By Cloud ID)

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/users/cloud-id:{cloud_id}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_cloud_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_user_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_user_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": "example",
  "display_name": "example",
  "username": "example",
  "bio": "example",
  "location": {
    "country": "example",
    "city": "example"
  },
  "timezone": {
    "iana_timezone": "example"
  },
  "workplace": {
    "company": "example",
    "position": "example"
  },
  "links": [
    {
      "link": "example",
      "type": "default"
    }
  ],
  "status": {
    "message": "example",
    "emoji": "example"
  },
  "avatar": {
    "url": "example"
  },
  "background_image": null,
  "visibility": "private"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_avatar_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Image](#entity-Image)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_background_image_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Image](#entity-Image)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_bio_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_links_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Link](#entity-Link)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "link": "example",
    "type": "default"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_location_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [v1.Location](#entity-v1.Location)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "country": "example",
  "city": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ProfileStatus](#entity-ProfileStatus)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "message": "example",
  "emoji": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_timezone_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Timezone](#entity-Timezone)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "iana_timezone": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_visibility_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ProfileVisibility](#entity-ProfileVisibility)

_Enum:_{.json-schema-reset .json-schema-value} `private`, `public`
{.table-cell}
||
||

_workplace_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Workplace](#entity-Workplace)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "company": "example",
  "position": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### v1.Location {#entity-v1.Location}

#|
|| **Name** | **Description** ||
||

_city_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_country_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "country": "example",
  "city": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Timezone {#entity-Timezone}

#|
|| **Name** | **Description** ||
||

_iana_timezone_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "iana_timezone": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Workplace {#entity-Workplace}

#|
|| **Name** | **Description** ||
||

_company_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_position_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "company": "example",
  "position": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Link.LinkType {#entity-Link.LinkType}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `default`, `social_network`, `homepage`, `email`, `telegram`

</div>

<div class="openapi-entity">

### Link {#entity-Link}

#|
|| **Name** | **Description** ||
||

_link_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Link.LinkType](#entity-Link.LinkType)

_Enum:_{.json-schema-reset .json-schema-value} `default`, `social_network`, `homepage`, `email`, `telegram`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "link": "example",
  "type": "default"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ProfileStatus {#entity-ProfileStatus}

#|
|| **Name** | **Description** ||
||

_emoji_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "message": "example",
  "emoji": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Image {#entity-Image}

#|
|| **Name** | **Description** ||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ProfileVisibility {#entity-ProfileVisibility}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `private`, `public`

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.